- entityDefinitions:
  - IDM_Report_Definition__get__Top_Level_Report_Filters:    '{da50d7ce-a113-4cf1-b75c-4a89ef1efcb5}'
  - IDMB_Report_Definition__get__Top_Level_Report_Filters: '{fbb33940-d107-4e67-afdf-e2e9311ba1ed}'
  - IDMB_Custom_Report_Definition__get__Top_Level_Report_Filters: '{a58d1636-476b-404d-b48d-7128a84c1312}'
  - IDI_WorkSet_ReportFilterNonsingular: '{9e13c4e2-55a2-4378-9295-60e5d1889d84}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ReportFilterNonsingular;'
    name: 'Report Filter [Nonsingular]'
    singular: no

  - getReferencedInstanceSetMethod: '&IDM_Report_Definition__get__Top_Level_Report_Filters;'
    forClassId: '&IDC_ReportDefinition;'
    returnsWorkSetId: '&IDI_WorkSet_ReportFilterNonsingular;'
    verb: 'get'
    name: 'Top Level Report Filters'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_ReportDefinition;'
    answerInstanceSet: '&IDR_Report_Definition__has_top_level__Report_Filter;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Report_Definition__get__Top_Level_Report_Filters;'
    executesMethod: '&IDM_Report_Definition__get__Top_Level_Report_Filters;'

  - returnInstanceSetMethodBinding: '&IDMB_Custom_Report_Definition__get__Top_Level_Report_Filters;'
    executesMethod: '&IDM_Report_Definition__get__Top_Level_Report_Filters;'
    parameterAssignments:
    - globalIdentifier: '{25f94f39-7788-44f4-9904-3424e39c4989}'
      assignsToParameter: '&IDC_ReportDefinition;'
      assignsFromWorkData: '&IDC_CustomReportDefinition;'